Bug 6753 - Markup corrections and improvements for label export window
Summary: Markup corrections and improvements for label export window
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-19 13:53 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of the proposed revised interface (11.92 KB, image/png)
2011-08-19 13:53 UTC, Owen Leonard
Details
Proposed fix (19.87 KB, patch)
2011-08-19 14:03 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6753, Markup corrections and improvements for label export window (19.90 KB, patch)
2011-08-19 18:28 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6753, Markup corrections and improvements for label export window (20.01 KB, patch)
2011-08-19 19:01 UTC, Chris Nighswonger
Details | Diff | Splinter Review
Follow-up fix for patron card creator (18.40 KB, patch)
2011-08-22 13:09 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Follow-up fix for Bug 6753, Markup corrections and improvements for label export window (18.43 KB, patch)
2011-08-24 18:24 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-08-19 13:53:22 UTC
Created attachment 5059 [details]
Screenshot of the proposed revised interface

When you export labels or label batches the interface loads a modal window with the export controls. This page has markup which doesn't conform to patterns in other parts of Koha. I propose a change which is more typical and which I think is a clearer interface.
Comment 1 Owen Leonard 2011-08-19 14:03:23 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-08-19 14:04:25 UTC
I'll send a follow-up to make the same change to the patron card export screen.
Comment 3 Nicole C. Engard 2011-08-19 18:28:33 UTC Comment hidden (obsolete)
Comment 4 Chris Nighswonger 2011-08-19 19:01:18 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2011-08-21 07:47:04 UTC
HTML changes, patches pushed
Comment 6 Owen Leonard 2011-08-22 13:09:01 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2011-08-24 18:24:24 UTC
Created attachment 5123 [details] [review]
[SIGNED-OFF] Follow-up fix for Bug 6753, Markup corrections and improvements for label export window

Making the same changes to the patron card export window.
Now that all references are removed, the old icons and CSS
have been removed as well.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 8 Ian Walls 2011-08-25 17:57:37 UTC
Template only change, easy to read, deleted files are safely dereferenced, marking as Passed QA.
Comment 9 Chris Cormack 2011-08-26 03:20:17 UTC
Pushed please test
Comment 10 Chris Nighswonger 2011-10-26 18:02:30 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.